# -*- coding: utf-8 -*-

# Form implementation generated from reading ui file 'searchwindow.ui'
#
# Created: mié nov 16 16:38:34 2005
#      by: The PyQt User Interface Compiler (pyuic) 3.14.1
#
# WARNING! All changes made in this file will be lost!


from qt import *


class SearchWindow(QDialog):
    def __init__(self,parent = None,name = None,modal = 0,fl = 0):
        QDialog.__init__(self,parent,name,modal,fl)

        if not name:
            self.setName("SearchWindow")

        self.setSizeGripEnabled(1)

        SearchWindowLayout = QVBoxLayout(self,11,6,"SearchWindowLayout")

        layout14 = QHBoxLayout(None,0,6,"layout14")

        layout13 = QVBoxLayout(None,0,6,"layout13")

        settingsLayout = QVBoxLayout(None,0,6,"settingsLayout")

        layout2 = QHBoxLayout(None,0,6,"layout2")

        self.textLabel2 = QLabel(self,"textLabel2")
        layout2.addWidget(self.textLabel2)

        self.textLabel3 = QLabel(self,"textLabel3")
        layout2.addWidget(self.textLabel3)

        self.tempoSpectrumBalance = QSlider(self,"tempoSpectrumBalance")
        self.tempoSpectrumBalance.setMaxValue(20)
        self.tempoSpectrumBalance.setPageStep(5)
        self.tempoSpectrumBalance.setValue(10)
        self.tempoSpectrumBalance.setOrientation(QSlider.Horizontal)
        self.tempoSpectrumBalance.setTickmarks(QSlider.Both)
        self.tempoSpectrumBalance.setTickInterval(5)
        layout2.addWidget(self.tempoSpectrumBalance)

        self.textLabel4 = QLabel(self,"textLabel4")
        layout2.addWidget(self.textLabel4)
        settingsLayout.addLayout(layout2)
        layout13.addLayout(settingsLayout)

        layout11 = QHBoxLayout(None,0,6,"layout11")

        layout6 = QHBoxLayout(None,0,6,"layout6")

        self.textLabel5 = QLabel(self,"textLabel5")
        layout6.addWidget(self.textLabel5)

        self.numResults = QSpinBox(self,"numResults")
        self.numResults.setMaxValue(100)
        self.numResults.setMinValue(1)
        self.numResults.setValue(10)
        layout6.addWidget(self.numResults)
        layout11.addLayout(layout6)
        spacer9 = QSpacerItem(40,20,QSizePolicy.MinimumExpanding,QSizePolicy.Minimum)
        layout11.addItem(spacer9)

        self.buttonGroup2 = QButtonGroup(self,"buttonGroup2")
        self.buttonGroup2.setFrameShape(QButtonGroup.NoFrame)
        self.buttonGroup2.setColumnLayout(0,Qt.Vertical)
        self.buttonGroup2.layout().setSpacing(6)
        self.buttonGroup2.layout().setMargin(0)
        buttonGroup2Layout = QHBoxLayout(self.buttonGroup2.layout())
        buttonGroup2Layout.setAlignment(Qt.AlignTop)

        self.useSelectedSongTempo = QRadioButton(self.buttonGroup2,"useSelectedSongTempo")
        self.useSelectedSongTempo.setChecked(1)
        buttonGroup2Layout.addWidget(self.useSelectedSongTempo)

        self.useFixedTempo = QRadioButton(self.buttonGroup2,"useFixedTempo")
        buttonGroup2Layout.addWidget(self.useFixedTempo)
        layout11.addWidget(self.buttonGroup2)

        layout5 = QHBoxLayout(None,0,6,"layout5")

        self.fixedTempo = QSpinBox(self,"fixedTempo")
        self.fixedTempo.setEnabled(0)
        self.fixedTempo.setMaxValue(200)
        self.fixedTempo.setMinValue(80)
        self.fixedTempo.setValue(120)
        layout5.addWidget(self.fixedTempo)
        layout11.addLayout(layout5)
        layout13.addLayout(layout11)
        layout14.addLayout(layout13)

        self.buttonGroup1 = QButtonGroup(self,"buttonGroup1")
        self.buttonGroup1.setSizePolicy(QSizePolicy(QSizePolicy.Preferred,QSizePolicy.Preferred,0,0,self.buttonGroup1.sizePolicy().hasHeightForWidth()))
        self.buttonGroup1.setFrameShape(QButtonGroup.NoFrame)
        self.buttonGroup1.setColumnLayout(0,Qt.Vertical)
        self.buttonGroup1.layout().setSpacing(6)
        self.buttonGroup1.layout().setMargin(0)
        buttonGroup1Layout = QVBoxLayout(self.buttonGroup1.layout())
        buttonGroup1Layout.setAlignment(Qt.AlignTop)

        self.buttonSearch = QPushButton(self.buttonGroup1,"buttonSearch")
        self.buttonSearch.setDefault(1)
        buttonGroup1Layout.addWidget(self.buttonSearch)
        spacer10 = QSpacerItem(20,6,QSizePolicy.Minimum,QSizePolicy.Minimum)
        buttonGroup1Layout.addItem(spacer10)

        self.buttonStop = QPushButton(self.buttonGroup1,"buttonStop")
        self.buttonStop.setEnabled(0)
        buttonGroup1Layout.addWidget(self.buttonStop)
        layout14.addWidget(self.buttonGroup1)
        SearchWindowLayout.addLayout(layout14)

        self.textLabel6 = QLabel(self,"textLabel6")
        SearchWindowLayout.addWidget(self.textLabel6)

        self.resultsView = QListView(self,"resultsView")
        self.resultsView.addColumn(self.__tr("Column 1"))
        self.resultsView.setAllColumnsShowFocus(1)
        self.resultsView.setShowSortIndicator(1)
        SearchWindowLayout.addWidget(self.resultsView)

        layout15 = QHBoxLayout(None,0,6,"layout15")
        spacer3 = QSpacerItem(40,20,QSizePolicy.Expanding,QSizePolicy.Minimum)
        layout15.addItem(spacer3)

        self.buttonClose = QPushButton(self,"buttonClose")
        layout15.addWidget(self.buttonClose)
        SearchWindowLayout.addLayout(layout15)

        self.languageChange()

        self.resize(QSize(630,399).expandedTo(self.minimumSizeHint()))
        self.clearWState(Qt.WState_Polished)

        self.connect(self.buttonClose,SIGNAL("clicked()"),self.reject)
        self.connect(self.buttonSearch,SIGNAL("clicked()"),self.performSearch)
        self.connect(self.buttonStop,SIGNAL("clicked()"),self.stopSearch)
        self.connect(self.buttonClose,SIGNAL("clicked()"),self.stopSearch)
        self.connect(self.useFixedTempo,SIGNAL("toggled(bool)"),self.fixedTempo.setEnabled)


    def languageChange(self):
        self.setCaption(self.__tr("Search - Smart DJ"))
        self.textLabel2.setText(self.__tr("Songs similar in:"))
        self.textLabel3.setText(self.__tr("Tempo"))
        self.textLabel4.setText(self.__tr("Spectrum"))
        self.textLabel5.setText(self.__tr("Results:"))
        self.buttonGroup2.setTitle(QString.null)
        self.useSelectedSongTempo.setText(self.__tr("Use tempo of selected song"))
        self.useFixedTempo.setText(self.__tr("Use a fixed tempo:"))
        self.buttonGroup1.setTitle(QString.null)
        self.buttonSearch.setText(self.__tr("Search"))
        self.buttonStop.setText(self.__tr("Stop"))
        self.textLabel6.setText(self.__tr("Search results:"))
        self.resultsView.header().setLabel(0,self.__tr("Column 1"))
        self.resultsView.clear()
        item = QListViewItem(self.resultsView,None)
        item.setText(0,self.__tr("New Item"))

        self.buttonClose.setText(self.__tr("Close"))


    def performSearch(self):
        print "SearchWindow.performSearch(): Not implemented yet"

    def stopSearch(self):
        print "SearchWindow.stopSearch(): Not implemented yet"

    def __tr(self,s,c = None):
        return qApp.translate("SearchWindow",s,c)
